Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163179 - system-config-printer memory corruption
Summary: system-config-printer memory corruption
Keywords:
Status: CLOSED DUPLICATE of bug 144536
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-13 19:20 UTC by Sammy
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-14 08:34:21 UTC


Attachments (Terms of Use)

Description Sammy 2005-07-13 19:20:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux; X11; en_US) KHTML/3.4.2 (like Gecko)

Description of problem:
If I start the system-config printer at the command line and press on the New 
button I get the message below. The GUI continues to work as if nothing has 
happened but it may mess up something along the way. 
 
======================================================= 
 
# system-config-printer 
*** glibc detected *** perl: malloc(): memory corruption: 0x0859df50 *** 
======= Backtrace: ========= 
/lib/libc.so.6[0x8ed53a] 
/lib/libc.so.6[0x8ee1eb] 
/lib/libc.so.6(__libc_realloc+0x101)[0x8eee80] 
/usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so(Perl_safesysrealloc+0x5a)
[0x36c9603] 
/usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so(Perl_sv_grow+0x122)
[0x36e8c67] 
/usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so(Perl_sv_catpvn_flags+0x125)
[0x36f216c] 
/usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so(Perl_sv_vcatpvfn+0x12ca)
[0x36ef18c] 
/usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so(Perl_sv_vsetpvfn+0x6e)
[0x36f02c0] 
/usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so(Perl_vmess+0x6c)
[0x36c9021] 
/usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so(S_vdie_croak_common+0x33)
[0x36c919f] 
/usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so(Perl_vdie+0x48)[0x36c9328] 
/usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so(Perl_die+0x31)[0x36c93f4] 
/usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so(Perl_pp_ioctl+0x2c2)
[0x37241af] 
/usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so(Perl_runops_debug+0x141)
[0x36c46e1] 
/usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so(perl_run+0x445)[0x3676fe1] 
perl(main+0x130)[0x80493f4] 
/lib/libc.so.6(__libc_start_main+0xdf)[0x89df2f] 
perl[0x8049241] 
======= Memory map: ======== 
00172000-00177000 r-xp 00000000 08:05 3604637    /lib/libcrypt-2.3.90.so 
00177000-00178000 r-xp 00004000 08:05 3604637    /lib/libcrypt-2.3.90.so 
00178000-00179000 rwxp 00005000 08:05 3604637    /lib/libcrypt-2.3.90.so 
00179000-001a0000 rwxp 00179000 00:00 0 
0086c000-00885000 r-xp 00000000 08:05 3604483    /lib/ld-2.3.90.so 
00885000-00886000 r-xp 00018000 08:05 3604483    /lib/ld-2.3.90.so 
00886000-00887000 rwxp 00019000 08:05 3604483    /lib/ld-2.3.90.so 
00889000-009ae000 r-xp 00000000 08:05 3604511    /lib/libc-2.3.90.so 
009ae000-009b0000 r-xp 00125000 08:05 3604511    /lib/libc-2.3.90.so 
009b0000-009b2000 rwxp 00127000 08:05 3604511    /lib/libc-2.3.90.so 
009b2000-009b4000 rwxp 009b2000 00:00 0 
009b6000-009d9000 r-xp 00000000 08:05 3604594    /lib/libm-2.3.90.so 
009d9000-009da000 r-xp 00022000 08:05 3604594    /lib/libm-2.3.90.so 
009da000-009db000 rwxp 00023000 08:05 3604594    /lib/libm-2.3.90.so 
009dd000-009df000 r-xp 00000000 08:05 3604544    /lib/libdl-2.3.90.so 
009df000-009e0000 r-xp 00001000 08:05 3604544    /lib/libdl-2.3.90.so 
009e0000-009e1000 rwxp 00002000 08:05 3604544    /lib/libdl-2.3.90.so 
00ac9000-00aca000 r-xp 00ac9000 00:00 0 
00adf000-00aed000 r-xp 00000000 08:05 3604597    /lib/libpthread-2.3.90.so 
00aed000-00aee000 r-xp 0000d000 08:05 3604597    /lib/libpthread-2.3.90.so 
00aee000-00aef000 rwxp 0000e000 08:05 3604597    /lib/libpthread-2.3.90.so 
00aef000-00af1000 rwxp 00aef000 00:00 0 
00b3b000-00b44000 r-xp 00000000 08:05 
3604610    /lib/libgcc_s-4.0.1-20050710.so.1 
00b44000-00b45000 rwxp 00009000 08:05 
3604610    /lib/libgcc_s-4.0.1-20050710.so.1 
00d2d000-00d3c000 r-xp 00000000 08:05 3604617    /lib/libresolv-2.3.90.so 
00d3c000-00d3d000 r-xp 0000e000 08:05 3604617    /lib/libresolv-2.3.90.so 
00d3d000-00d3e000 rwxp 0000f000 08:05 3604617    /lib/libresolv-2.3.90.so 
00d3e000-00d40000 rwxp 00d3e000 00:00 0 
00df7000-00df9000 r-xp 00000000 08:05 3604632    /lib/libutil-2.3.90.so 
00df9000-00dfa000 r-xp 00001000 08:05 3604632    /lib/libutil-2.3.90.so 
00dfa000-00dfb000 rwxp 00002000 08:05 3604632    /lib/libutil-2.3.90.so 
03650000-0378f000 r-xp 00000000 08:05 
3752054    /usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so 
0378f000-0379a000 rwxp 0013e000 08:05 
3752054    /usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so 
0379a000-0379c000 rwxp 0379a000 00:00 0 
0427f000-04291000 r-xp 00000000 08:05 3604537    /lib/libnsl-2.3.90.so 
04291000-04292000 r-xp 00011000 08:05 3604537    /lib/libnsl-2.3.90.so 
04292000-04293000 rwxp 00012000 08:05 3604537    /lib/libnsl-2.3.90.so 
04293000-04295000 rwxp 04293000 00:00 0 
08048000-0804b000 r-xp 00000000 08:05 346183     /usr/bin/perl 
0804b000-0804d000 rw-p 00002000 08:05 346183     /usr/bin/perl 
08585000-085a6000 rw-p 08585000 00:00 0          [heap] 
b7c00000-b7c21000 rw-p b7c00000 00:00 0 
b7c21000-b7d00000 ---p b7c21000 00:00 0 
b7d84000-b7da5000 rw-p b7d84000 00:00 0 
b7da5000-b7fa5000 r--p 00000000 08:05 477482     /usr/lib/locale/locale-archive 
b7fa5000-b7fa8000 rw-p b7fa5000 00:00 0 
b7fc8000-b7fc9000 rw-p b7fc8000 00:00 0 
bfab3000-bfac9000 rw-p bfab3000 00:00 0          [stack] 
sh: line 1: 20343 Aborted                 perl -e 'ioctl(STDIN,0x84005001,$result);print 
$result' 2>/dev/null </dev/usb/lp0 
 

Version-Release number of selected component (if applicable):
system-config-printer-0.6.136-1

How reproducible:
Always

Steps to Reproduce:
1. start system-config-printer from command line 
2. press the New button 
3. look at the screen 
   

Additional info:

Comment 1 Tim Waugh 2005-07-14 08:34:21 UTC

*** This bug has been marked as a duplicate of 144536 ***


Note You need to log in before you can comment on or make changes to this bug.